# -*- coding: utf-8 -*-
"""
@author: juliabrugger
"""

#file to create ascii files from CLIMBER output, preimpact year and postimpact
# first 20 years yearly, then 30-100 every ten years, then every 100 years until 1000
#chosen data is written into ascii file

import numpy as np
from netCDF4 import Dataset
#from newsavetxt import *
#import matplotlib.pyplot as plt
#from mpl_toolkits.basemap import Basemap, addcyclic, shiftgrid
#from matplotlib.backends.backend_pdf import PdfPages
import sys
import numpy.ma as ma

np.set_printoptions(threshold=sys.maxint)

number=np.array([2207,2304,2704,3204])
timename=np.array([3,100,500,1000])

nc_area = Dataset('/Volumes/IPLEX/p/projects/ace/feulner/c3beta_cret_066Ma_0500ppm_P2003_02p1yrs_360ppm/snapshots.002207.01.01.dta.nc', 'r')  
lon=nc_area.variables['xt_i'][:]#longitudes of the grid's center
lat=nc_area.variables['yt_j'][:]
latu=nc_area.variables['yu_j'][:]
depth=nc_area.variables['zt_k'][:]
depthu=nc_area.variables['zw_k'][:]
namedata=[]

snapshotsmom=[]
datasmom=[]
snapshotsmom=np.append(snapshotsmom,'/Volumes/IPLEX/p/projects/ace/feulner/c3beta_cret_066Ma_0500ppm_P2003_02p1yrs_360ppm/snapshots.002207.01.01.dta.nc')
datasmom=np.append(datasmom,snapshotsmom[0])
   
for i in range(1,len(timename)):
    snapshotsmom=np.append(snapshotsmom,'/Volumes/IPLEX/p/projects/ace/feulner/c3beta_cret_066Ma_0500ppm_P2003_02p1yrs_360ppm/'+'snapshots.00'+str(number[i])+'.01.01.dta.nc')
    datasmom=np.append(datasmom,snapshotsmom[i])
    
for i in range(len(timename)):      
    nc_f_smom=datasmom[i]
    nc_fid_smom = Dataset(nc_f_smom, 'r')       
        
    temp = nc_fid_smom.variables['temp'][:,:,:,:]
    temp=np.ma.filled(temp,fill_value=-100)
    temp=np.mean(temp,axis=0)
    
    temp0=temp[0,:,:]
    temp1=temp[1,:,:]
    temp2=temp[2,:,:]
    temp3=temp[3,:,:]
    temp4=temp[4,:,:]
    temp5=temp[5,:,:]
    temp6=temp[6,:,:]
    temp7=temp[7,:,:]
    temp8=temp[8,:,:]
    temp9=temp[9,:,:]
    temp10=temp[10,:,:]
    temp11=temp[11,:,:]
    temp12=temp[12,:,:]
    temp13=temp[13,:,:]
    temp14=temp[14,:,:]
    temp15=temp[15,:,:]
    temp16=temp[16,:,:]
    temp17=temp[17,:,:]
    temp18=temp[18,:,:]
    temp19=temp[19,:,:]
    temp20=temp[20,:,:]
    temp21=temp[21,:,:]
    temp22=temp[22,:,:]
    temp23=temp[23,:,:]
    
    tab='\n'
    comment='#'
    filename='ModelOutputImpact_tempdepth_500_2p1_360_'+str(timename[i])+'.dat'
    with file(filename,'w') as outfile:
        for k in range(0,24):
            outfile.write(comment+'temp'+str(k)+tab)
            np.savetxt(outfile,temp[k],fmt='%12.6f')


nc_fid_smom = Dataset('/Volumes/IPLEX/p/projects/ace/feulner/c3beta_cret_066Ma_0500ppm/snapshots.002204.01.01.dta.nc', 'r')       
        
temp = nc_fid_smom.variables['temp'][:,:,:,:]
temp=np.ma.filled(temp,fill_value=-1000)
temp=np.mean(temp,axis=0)
    
temp0=temp[0,:,:]
temp1=temp[1,:,:]
temp2=temp[2,:,:]
temp3=temp[3,:,:]
temp4=temp[4,:,:]
temp5=temp[5,:,:]
temp6=temp[6,:,:]
temp7=temp[7,:,:]
temp8=temp[8,:,:]
temp9=temp[9,:,:]
temp10=temp[10,:,:]
temp11=temp[11,:,:]
temp12=temp[12,:,:]
temp13=temp[13,:,:]
temp14=temp[14,:,:]
temp15=temp[15,:,:]
temp16=temp[16,:,:]
temp17=temp[17,:,:]
temp18=temp[18,:,:]
temp19=temp[19,:,:]
temp20=temp[20,:,:]
temp21=temp[21,:,:]
temp22=temp[22,:,:]
temp23=temp[23,:,:]
    
tab='\n'
comment='#'
filename='ModelOutputImpact_tempdepth_control_0.dat'
with file(filename,'w') as outfile:
   for k in range(0,24):
       outfile.write(comment+'temp'+str(k)+tab)
       np.savetxt(outfile,temp[k],fmt='%12.6f')
       
       
nc_fid_smom = Dataset('/Volumes/IPLEX/p/projects/ace/feulner/c3beta_cret_066Ma_0500ppm/snapshots.002304.01.01.dta.nc', 'r')       
        
temp = nc_fid_smom.variables['temp'][:,:,:,:]
temp=np.ma.filled(temp,fill_value=-1000)
temp=np.mean(temp,axis=0)
    
temp0=temp[0,:,:]
temp1=temp[1,:,:]
temp2=temp[2,:,:]
temp3=temp[3,:,:]
temp4=temp[4,:,:]
temp5=temp[5,:,:]
temp6=temp[6,:,:]
temp7=temp[7,:,:]
temp8=temp[8,:,:]
temp9=temp[9,:,:]
temp10=temp[10,:,:]
temp11=temp[11,:,:]
temp12=temp[12,:,:]
temp13=temp[13,:,:]
temp14=temp[14,:,:]
temp15=temp[15,:,:]
temp16=temp[16,:,:]
temp17=temp[17,:,:]
temp18=temp[18,:,:]
temp19=temp[19,:,:]
temp20=temp[20,:,:]
temp21=temp[21,:,:]
temp22=temp[22,:,:]
temp23=temp[23,:,:]
    
tab='\n'
comment='#'
filename='ModelOutputImpact_tempdepth_control_100.dat'
with file(filename,'w') as outfile:
   for k in range(0,24):
       outfile.write(comment+'temp'+str(k)+tab)
       np.savetxt(outfile,temp[k],fmt='%12.6f')
       

nc_fid_smom = Dataset('/Volumes/IPLEX/p/projects/ace/feulner/c3beta_cret_066Ma_0500ppm/snapshots.002704.01.01.dta.nc', 'r')       
        
temp = nc_fid_smom.variables['temp'][:,:,:,:]
temp=np.ma.filled(temp,fill_value=-1000)
temp=np.mean(temp,axis=0)
    
temp0=temp[0,:,:]
temp1=temp[1,:,:]
temp2=temp[2,:,:]
temp3=temp[3,:,:]
temp4=temp[4,:,:]
temp5=temp[5,:,:]
temp6=temp[6,:,:]
temp7=temp[7,:,:]
temp8=temp[8,:,:]
temp9=temp[9,:,:]
temp10=temp[10,:,:]
temp11=temp[11,:,:]
temp12=temp[12,:,:]
temp13=temp[13,:,:]
temp14=temp[14,:,:]
temp15=temp[15,:,:]
temp16=temp[16,:,:]
temp17=temp[17,:,:]
temp18=temp[18,:,:]
temp19=temp[19,:,:]
temp20=temp[20,:,:]
temp21=temp[21,:,:]
temp22=temp[22,:,:]
temp23=temp[23,:,:]
    
tab='\n'
comment='#'
filename='ModelOutputImpact_tempdepth_control_500.dat'
with file(filename,'w') as outfile:
   for k in range(0,24):
       outfile.write(comment+'temp'+str(k)+tab)
       np.savetxt(outfile,temp[k],fmt='%12.6f')
       

nc_fid_smom = Dataset('/Volumes/IPLEX/p/projects/ace/feulner/c3beta_cret_066Ma_0500ppm/snapshots.003204.01.01.dta.nc', 'r')       
        
temp = nc_fid_smom.variables['temp'][:,:,:,:]
temp=np.ma.filled(temp,fill_value=-1000)
temp=np.mean(temp,axis=0)
    
temp0=temp[0,:,:]
temp1=temp[1,:,:]
temp2=temp[2,:,:]
temp3=temp[3,:,:]
temp4=temp[4,:,:]
temp5=temp[5,:,:]
temp6=temp[6,:,:]
temp7=temp[7,:,:]
temp8=temp[8,:,:]
temp9=temp[9,:,:]
temp10=temp[10,:,:]
temp11=temp[11,:,:]
temp12=temp[12,:,:]
temp13=temp[13,:,:]
temp14=temp[14,:,:]
temp15=temp[15,:,:]
temp16=temp[16,:,:]
temp17=temp[17,:,:]
temp18=temp[18,:,:]
temp19=temp[19,:,:]
temp20=temp[20,:,:]
temp21=temp[21,:,:]
temp22=temp[22,:,:]
temp23=temp[23,:,:]
    
tab='\n'
comment='#'
filename='ModelOutputImpact_tempdepth_control_1000.dat'
with file(filename,'w') as outfile:
   for k in range(0,24):
       outfile.write(comment+'temp'+str(k)+tab)
       np.savetxt(outfile,temp[k],fmt='%12.6f')
    
    
    
