# -*- coding: utf-8 -*-
"""
@author: juliabrugger
"""

#gives mean temperature for specific cell in Gulf of Mexico region for comparison 
#with Vellekoop Paper, for several yers after the impact

import numpy as np
from netCDF4 import Dataset
import matplotlib.pyplot as plt
from mpl_toolkits.basemap import Basemap, addcyclic, shiftgrid
from scipy.interpolate import interp1d
import numpy.ma as ma

lonlatmomdata=np.loadtxt('ModelOutputImpact_smom_lonlat.dat')
lon=lonlatmomdata[0:97]
lonmid=lonlatmomdata[97:193]
lat=lonlatmomdata[193:242]
latmid=lonlatmomdata[242:290]

pi_frac=(np.pi/180)*latmid[:]

restimename=['500_2p1_360']


timename=['2202','2205','2206','2207','2208','2209','2210','2211','2212','2213','2214','2215','2216','2217','2218','2219','2220']

namesmoms=np.array(['temp'])
Namevarlong=np.array(['sea surface temperature [°C]'])
#namesmoms=np.array(['salt'])  
#Namevarlong=np.array(['salinity surface (psu)'])

Var_mean=np.zeros((len(restimename),len(namesmoms),len(timename)))
tropics_mean=np.zeros((len(restimename),len(namesmoms),len(timename)))
Var=np.zeros((48,96))
for j in range(len(restimename)):
        print restimename[j]
#        f=open('Writeoutfilemoms'+restimename[j]+'.dat','w')
        for k in range(len(namesmoms)):  
            for i in range(len(timename)):
                newdata=np.loadtxt('ModelOutputImpact_smom_'+timename[i]+'_'+restimename[j]+'.dat')
                newdata=newdata.reshape((48,96))
            
                Var=newdata[:,:]

#mean temperature in chosen cell for preimpact year and 16 years after the impact    
                for m in range(32,33): 
                    for n in range(76,77):
                        print Var[m,n]
                
print str('mean')
#calculation of the mean cooling over ten years after the impact
a2p1360=np.array([15.518099,11.401082,8.410371,7.753361,9.527421,12.748342,15.334682,17.420357,18.137582,18.741508])
print np.mean(a2p1360)

