# -*- coding: utf-8 -*-
"""
@author: juliabrugger
"""
#gives mean temperature for specific cell in New Jersey for comparison 
#with Vellekoop Paper, for several yers after the impact


import numpy as np
from netCDF4 import Dataset
import matplotlib.pyplot as plt
from mpl_toolkits.basemap import Basemap, addcyclic, shiftgrid
from scipy.interpolate import interp1d
import numpy.ma as ma


lonlatmomdata=np.loadtxt('ModelOutputImpact_smom_lonlat.dat')
lon=lonlatmomdata[0:97]
lonmid=lonlatmomdata[97:193]
lat=lonlatmomdata[193:242]
latmid=lonlatmomdata[242:290]

pi_frac=(np.pi/180)*latmid[:]

restimename=['500_2p1_360']


timename=['2204','2205','2206','2207','2208','2209','2210','2211','2212','2213','2214','2215','2216','2217','2218','2219','2220']


namesmoms=np.array(['temp'])
Namevarlong=np.array(['sea surface temperature [°C]'])

Var_mean=np.zeros((len(restimename),len(namesmoms),len(timename)))
tropics_mean=np.zeros((len(restimename),len(namesmoms),len(timename)))
Var=np.zeros((48,96))


for i in range(len(timename)):
    newdata=np.loadtxt('ModelOutputImpact_smom_'+str(timename[i])+'_500_2p1_360.dat')
    newdata=newdata.reshape((48,96))       
    Var=newdata[:,:]

#mean temperature in chosen cell for preimpact year and 16 years after the impact    
    for m in range(34,35): 
        for n in range(83,84):
                print Var[m,n]     
                 
#calculation of the mean cooling over ten years after the impact
print str('mean')
a2p1360=np.array([11.819319,8.737714,7.524021,7.075307,7.580942,9.869017,10.55291,11.432939,12.80162,14.252251])
print np.mean(a2p1360)