# -*- coding: utf-8 -*-
"""
Created on Thu Dec  4 15:16:24 2014

@author: juliabrugger
"""

import numpy as np
from netCDF4 import Dataset
#from newsavetxt import *
#import matplotlib.pyplot as plt
#from mpl_toolkits.basemap import Basemap, addcyclic, shiftgrid
#from matplotlib.backends.backend_pdf import PdfPages
import sys

np.set_printoptions(threshold=sys.maxint)


namedata=[]


snapshotsmom=[]
datasmom=[]
snapshotsmom='/Volumes/HLRS2015/projects/climber3/feulner/c3beta_mm_ar4_co2only_orbital_steinhilber/snapshots.054983.01.01.dta.nc'

nc_f_smom=snapshotsmom
nc_fid_smom = Dataset(nc_f_smom, 'r') 
     
hmxl = nc_fid_smom.variables['hmxl'][:,:,:]#quantity is defined at the grid centers
hmxl=np.mean(hmxl,axis=0)#time mean
hmxl=np.ma.filled(hmxl,fill_value=-1)
        
arraymoms=np.array([hmxl])
namesmoms=np.array(['hmxl'])
        
tab='\n'
comment='#'
filename='ModelOutputImpact_smom_hmxl_present.dat'
with file(filename,'w') as outfile:
    for k in range(len(arraymoms)):
        outfile.write(comment+namesmoms[k]+tab)
        np.savetxt(outfile,arraymoms[k],fmt='%12.6f')
                
